Munin::Master::LimitsOld(3)

NAME
Munin::Master::LimitsOld - Abstract base class for workers.

SYNOPSIS
This is Munin::Master::LimitsOld, a minimal package shell to make munin-limits modular (so it can be loaded persistently in a daemon for example) without making it object oriented yet. The non-'old' module will feature proper object orientation like munin-update and will have to wait until later.

Get a list of severities, and return a sorted, lower cased, unique and validated list of severities.

Expects and returns an array reference.

If none of the severities given are on the allowed_severities list, it will return a reference to an empty array.